simulateRJaCGH {RJaCGH} | R Documentation

## Simulate observations form a hidden Markov model with non-homogeneous transition probabilities.

### Description

This function simulates observations from a hidden Markov model with normal distributed observations and non-homogeneous transition matrix.

### Usage

    simulateRJaCGH(n, x = NULL, mu, sigma.2, beta, start)

### Arguments

`n` | Number of observations to simulate
`x` | Distance to the next observation. Must be a vector of size n-1 and normalized between zero and one. If NULL, a vector of zeros is taken
`mu` | Vector of means for the hidden states
`sigma.2` | Vector of variances for the hidden states
`beta` | `beta` parameter of the transition matrix. Must be a square matrix with the same size as the number of hidden states.
`start` | Starting states of the sequence. Must be an integer from 1 to the number of hidden states.

### Details

Please note that in RJaCGH model, parameter `q` is taken as `-beta`

### Value

A list with components

`states` | Sequence of hidden states
`y` | Observations

### Author(s)

Oscar M. Rueda and Ramon Diaz-Uriarte

### References

Rueda OM, Diaz-Uriarte R. Flexible and Accurate Detection of Genomic Copy-Number Changes from aCGH. PLoS Comput Biol. 2007;3(6):e122

### See Also

Q.NH, RJaCGH

### Examples

    beta <- matrix(c(0, 5, 1, 1,  0, 1, 3, 5, 0), 3)
    obs <- simulateRJaCGH(n=200, x=rexp(199), mu=c(-3, 0, 3), sigma.2=c(1,1,1),
    beta=beta, start=2)
    plot(obs$y, col=obs$states)

[Package RJaCGH version 2.0.4 Index]